<?php
header("Content-Type: text/html;charset=utf-8");
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

require_once("../data/Conexion.php");
require_once("../data/Tablas.php");
require_once("../clases/cls_responsable.php");

function responsable_lista(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["buscar"]) && isset($_POST["orden"])){
			$items_pagina = 0;
			$items_cantidad = 0;
			$buscar = $_POST["buscar"];
			$ordendireccion = $_POST["orden"];
			if (isset($_POST["items_pagina"])){
				$items_pagina = $_POST["items_pagina"];
			}
			if (isset($_POST["items_cantidad"])){
				$items_cantidad = $_POST["items_cantidad"];
			}
			$datos = cls_Group_Responsable::Buscar($buscar, $ordendireccion);
			$datos->cargar_datos($items_pagina, $items_cantidad);
			$lista = array();
			for ($idx=0; $idx<$datos->get_cantidad_cargados(); $idx++){
				array_push($lista, array(
					"responsable_id"=>$datos->get_responsable_id($idx),
					"nombre"=>$datos->get_nombre($idx),
					"documento_tipo"=>$datos->get_documento_tipo($idx),
					"documento_numero"=>$datos->get_documento_numero($idx),
					"direccion"=>$datos->get_direccion($idx),
				));
			}
			$respuestas["datos"] = $lista;
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function responsable_datos(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["buscar"])){
			$codigo = $_POST["buscar"];
			$datos = cls_Responsable::Indice($codigo);
			$respuestas["datos"] = array(
					"responsable_id"=>$datos->get_responsable_id(),
					"nombre"=>$datos->get_nombre(),
					"documento_tipo"=>$datos->get_documento_tipo(),
					"documento_numero"=>$datos->get_documento_numero(),
					"direccion"=>$datos->get_direccion(),
			);
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function responsable_registrar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "codigo"=>0);
		$usuario_editor = 0;
		$codigo = 0;
		$activo = true;
		if (isset($_SESSION["usuario_editor"])){
			$usuario_editor = $_SESSION["usuario_editor"];
		}
		if (isset($_POST["txt_codigo"])){
			$codigo = $_POST["txt_codigo"];
		}
		if (isset($_POST["activo"])){
			$activo = $_POST["activo"];
		}
		$nombre = $_POST["txt_nombre"];
		$documento_tipo = $_POST["txt_documento_tipo"];
		$documento_numero = $_POST["txt_documento_numero"];
		$direccion = $_POST["txt_direccion"];
		$datos = cls_Responsable::Indice($codigo);
		$datos->set_nombre($nombre);
		$datos->set_documento_tipo($documento_tipo);
		$datos->set_documento_numero($documento_numero);
		$datos->set_direccion($direccion);
		$datos->set_activo($activo);
		if ($datos->registrar($usuario_editor)){
			$respuestas["codigo"] = $datos->get_responsable_id();
			$respuestas["estado"] = "ok";
			$respuestas["mensaje"] = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"] = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function responsable_eliminar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"");
		if (isset($_POST["buscar"])){
			$usuario_editor = 0;
			if (isset($_SESSION["usuario_editor"])){
				$usuario_editor = $_SESSION["usuario_editor"];
			}
			$codigo = $_POST["buscar"];
			$datos = cls_Responsable::Indice($codigo);
			if ($datos->eliminar($usuario_editor)){
				$respuestas["estado"]  = "ok";
				$respuestas["mensaje"]  = "Los datos se eliminaron correctamente";
			} else {
				$respuestas["mensaje"]  = "No se pudo eliminar los datos correctamente";
			}
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}

if (isset($_POST["accion"])){
    if ($_POST["accion"] == "lista"){
		responsable_lista();
	} else if ($_POST["accion"] == "datos"){
		responsable_datos();
    } else if ($_POST["accion"] == "registrar"){
		responsable_registrar();
    } else if ($_POST["accion"] == "eliminar"){
		responsable_eliminar();
	}
}
?>
